Bug 169892 - openipmi initscript to not require /lib/lsb/init-functions
openipmi initscript to not require /lib/lsb/init-functions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 16:17 EDT by Matt Domsch
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 10:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openipmi.initscript (13.11 KB, text/plain)
2005-10-04 16:17 EDT, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2005-10-04 16:17:11 EDT
Description of problem:
Not all FC systems have /lib/lsb/init-functions, but all 
have /etc/init.d/functions which provide log_msg_success()-type calls.  New 
initscript (committed upstream) lets the initscript use /lib/lsb/init-
functions if available, else fall back to /etc/init.d/functions.

Also merge pknirsch's changes as made in the RHEL branches.

Version-Release number of selected component (if applicable):
1.4.14-9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matt Domsch 2005-10-04 16:17:11 EDT
Created attachment 119625 [details]
openipmi.initscript
Comment 2 Phil Knirsch 2005-11-07 10:23:22 EST
Fixed in latest FC development version.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.